<?xml version="1.0" encoding="UTF-8" ?>

<actions>

<!--
  プロジェクト作成コマンド
-->
<action name="pro(ject)?"
           class="Project"
           reference="true"
           file="/project.php">
  <method name="execute">
    <arg type="component" reference="true">cmd</arg>
    <arg type="component">componentmethod</arg>
  </method>

  <components>
    <component name="c_project"
               class="C_CreateProject"
               file="components/C_CreateProject.php"
               priority="1"></component>
    <component name="c_application"
               class="C_CreateApplication"
               file="components/C_CreateApplication.php"
               priority="2"></component>
    <component name="c_controller"
               class="C_CreateController"
               file="components/C_CreateController.php"
               priority="3"></component>
    <component name="c_action"
               class="C_CreateAction"
               file="components/C_CreateAction.php"
               priority="4"></component>
    <component name="c_template"
               class="C_CreateTemplate"
               file="components/C_CreateTemplate.php"
               priority="5"></component>
  </components>
</action>

<!--
  アプリケーション作成コマンド
-->
<action name="app(lication)?"
           class="Application"
           reference="true"
           file="/application.php">
  <method name="execute">
    <arg type="component" reference="true">cmd</arg>
    <arg type="component">componentmethod</arg>
  </method>

  <components>
    <component name="c_application"
               class="C_CreateApplication"
               file="components/C_CreateApplication.php"
               priority="2"></component>
    <component name="c_controller"
               class="C_CreateController"
               file="components/C_CreateController.php"
               priority="3"></component>
    <component name="c_action"
               class="C_CreateAction"
               file="components/C_CreateAction.php"
               priority="4"></component>
    <component name="c_template"
               class="C_CreateTemplate"
               file="components/C_CreateTemplate.php"
               priority="5"></component>
  </components>
</action>

<!--
  コントローラファイル作成コマンド
-->
<action name="con(troller)?"
           class="Controller"
           reference="true"
           file="/controller.php">
  <method name="execute">
    <arg type="component" reference="true">cmd</arg>
    <arg type="component">componentmethod</arg>
  </method>

  <components>
    <component name="c_controller"
               class="C_CreateController"
               file="components/C_CreateController.php"
               priority="3"></component>
  </components>
</action>

<!--
  アクションファイル作成コマンド
-->
<action name="act(ion)?"
           class="Action"
           reference="true"
           file="/action.php">
  <method name="execute">
    <arg type="component" reference="true">cmd</arg>
    <arg type="component">componentmethod</arg>
  </method>

  <components>
    <component name="c_action"
               class="C_CreateAction"
               file="components/C_CreateAction.php"
               priority="4"></component>
  </components>
</action>

<!--
  テンプレートファイル作成コマンド
-->
<action name="tem(plate)?"
           class="Template"
           reference="true"
           file="/template.php">
  <method name="execute">
    <arg type="component" reference="true">cmd</arg>
    <arg type="component">componentmethod</arg>
  </method>

  <components>
    <component name="c_template"
               class="C_CreateTemplate"
               file="components/C_CreateTemplate.php"
               priority="5"></component>
  </components>
</action>

<!--
デフォルトアクション
-->
<action name="*"
        class="DefaultCommand"
        reference="true"
        file="/defaultcommand.php">
  <method name="execute">
    <arg type="component" reference="true">cmd</arg>
    <arg type="component">componentmethod</arg>
  </method>

</action>

</actions>
